Bug 754303

Summary: xend: No IP forwarding on Fedora 16
Product: [Fedora] Fedora Reporter: W. Michael Petullo <mike>
Component: xenAssignee: Michael Young <m.a.young>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 16CC: berrange, crobinso, jforbes, kraxel, m.a.young, virt-maint, xen-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-11 16:38:07 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description W. Michael Petullo 2011-11-15 21:27:04 EST
Description of problem:
I am using Xen with routed interfaces instead of bridged (i.e., network-script network-route). In this case, the "network-route" script should enable kernel port forwarding. However, this is not the case---at least the first time xend runs. Xend runs, but /proc/sys/net/ipv4/ip_forward still contains "0".

But, if I restart xend by hand using "service xend restart", then kernel IP forwarding gets turned on.

At first I thought this may be due to SELinux (perhaps systemd starts xend in a different context than a root shell does). But this is not the case; I get the same behavior when I boot with SELinux in permissive mode.

At this point, I suspect it may be some type of ordering issue between when systemd initializes the kernel's sysctl settings and when it starts xend.

Version-Release number of selected component (if applicable):
xen-4.1.2-1.fc16.x86_64
systemd-37-3.fc16.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Configure xend to use network-script network-route
2. Boot the system
3. Observe /proc/sys/net/ipv4/ip_forward
  
Actual results:
/proc/sys/net/ipv4/ip_forward contains 0

Expected results:
/proc/sys/net/ipv4/ip_forward should contain 1 because the network-route script sets it to 1 when xend starts.

Additional info:
Comment 1 Fedora Admin XMLRPC Client 2012-05-15 15:37:53 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2013-01-16 10:08:57 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Cole Robinson 2013-02-11 16:38:07 EST
Sorry for the lack of response on this bug, but since F16 is EOL real soon now, this won't be fixed for F16. If you can still reproduce this issue on F18, please reopen.